## python-m2r 0.2.1

=== Makefile ===
.PHONY: release release-pypi release-github clean clean-test clean-pyc clean-build help
.DEFAULT_GOAL := help
define BROWSER_PYSCRIPT
import os, webbrowser, sys
try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT
BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-testdoc ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	@echo "Remove build files (build/, dist/, .egg*, ...)."
	@rm -fr build/
	@rm -fr dist/
	@rm -fr .eggs/
	@find . -name '*.egg-info' -exec rm -fr {} +
	@find . -name '*.egg' -exec rm -fr {} +

clean-pyc: ## remove Python file artifacts
	@echo "Remove python files (*.py[co], __pycache__, ...)."
	@find . -name '*.pyc' -exec rm -f {} +
	@find . -name '*.pyo' -exec rm -f {} +
	@find . -name '*~' -exec rm -f {} +
	@find . -name '__pycache__' -exec rm -fr {} +

clean-testdoc: ## remove test and coverage artifacts
	@echo "Remove testdoc output files (testdo/_build/html)."
	@rm -rf testdoc/_build/html

release: release-pypi release-github  ## register PyPI and send tags to github

release-pypi:  ## register PyPI
	python setup.py sdist upload

release-github:  ## send tags to github
	git push origin --tags

.PHONY: green green-cov green-single
green:  ## run green test
	@echo "Run green."
	@green tests

green-single:  ## run green with a single process
	@echo "Run green with a single process."
	@green -s 1 tests

green-cov:  # run green and calculate coverage
	@echo "Run green with coverage."
	@green -r -c tests

.PHONY: flake8
flake8:  ## run flake8 syntax check
	flake8 setup.py m2r.py tests

.PHONY: docs
docs:  ## build document
	@sphinx-build -E -W -n -j auto -b html docs docs/_build/html

.PHONY: sphinx
sphinx:  ## run document build server
	@echo "### Sphinx Build Server Start ###"
	@python docs/server.py

.PHONY: check
check:  ## run flake8 and sphinx-build
	@doit

.PHONY: test
test: check green-cov  ## run style check and test

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/M2R.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/M2R.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/M2R"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/M2R"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
python-m2r (0.2.1-5) unstable; urgency=medium

  * update git-buildpage settings:
    + use DEP-14 git branch names
    + add usage comment
  * update patch 1001;
    closes: bug#975825,
    thanks to Lucas Nussbaum, Kyle Robbertze, and Daniel Caballero
  * use debhelper compatibility level 13 (not 12)
  * declare compliance with Debian Policy 4.5.1
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Dec 2020 17:36:21 +0100

python-m2r (0.2.1-4) unstable; urgency=medium

  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * simplify source script copyright-chceck
  * copyright: update coverage
  * add patch cherry-picked upstream to modernize Sphinx support;
    closes: bug#963652, thanks to Lucas Nussbaum and Benjamin Hof

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Aug 2020 11:37:15 +0200

python-m2r (0.2.1-3) unstable; urgency=medium

  * re-release targeted unstable

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Nov 2019 01:50:37 +0100

python-m2r (0.2.1-2) experimental; urgency=medium

  * set Testsuite: autopkgtest-pkg-python

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 13 Nov 2019 17:32:15 +0100

python-m2r (0.2.1-1) experimental; urgency=low

  * Initial packaging release.
    Closes: bug#943456.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Oct 2019 12:00:21 +0200

=== debian/control ===
Source: python-m2r
Section: python
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 help2man <!nodoc>,
 python3,
 python3-docutils,
 python3-mistune,
 python3-mock <!nocheck>,
 python3-pygments <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Standards-Version: 4.5.1
Homepage: https://github.com/miyakogi/m2r
Vcs-Git: https://salsa.debian.org/debian/python-m2r.git
Vcs-Browser: https://salsa.debian.org/debian/python-m2r
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-m2r
Architecture: all
Depends:
 python3-mistune,
 python3-docutils,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-m2r-doc,
Enhances:
 python3-sphinx
Description: Markdown and reStructuredText in a single file - Python3 library
 M2R converts a markdown file including reStructuredText (rst) markups
 to a valid rst format.
 .
 Use case is writing sphinx document in markdown,
 since it's widely used now and easy to write code blocks and lists.
 However, converters using pandoc or recommonmark
 do not support many rst markups and sphinx extensions.
 For example, rst's reference link like ``see `ref`_``
 (this is very convenient in long document
 in which same link appears multiple times)
 will be converted to a code block in HTML
 like `see <code>ref</code>_`,
 which is not expected.
 .
 This package provides m2r module
 for Python 3.

Package: m2r
Section: text
Architecture: all
Depends:
 python3-m2r (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-m2r-doc,
Enhances:
 python3-sphinx
Description: Markdown and reStructuredText in a single file - CLI tool
 M2R converts a markdown file including reStructuredText (rst) markups
 to a valid rst format.
 .
 Use case is writing sphinx document in markdown,
 since it's widely used now and easy to write code blocks and lists.
 However, converters using pandoc or recommonmark
 do not support many rst markups and sphinx extensions.
 For example, rst's reference link like ``see `ref`_``
 (this is very convenient in long document
 in which same link appears multiple times)
 will be converted to a code block in HTML
 like `see <code>ref</code>_`,
 which is not expected.
 .
 This package provides the command-line tool m2r.

Package: python-m2r-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-mathjax,
 ${sphinxdoc:Depends},
 ${misc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Markdown and reStructuredText in a single file - documentation
 M2R converts a markdown file including reStructuredText (rst) markups
 to a valid rst format.
 .
 Use case is writing sphinx document in markdown,
 since it's widely used now and easy to write code blocks and lists.
 However, converters using pandoc or recommonmark
 do not support many rst markups and sphinx extensions.
 For example, rst's reference link like ``see `ref`_``
 (this is very convenient in long document
 in which same link appears multiple times)
 will be converted to a code block in HTML
 like `see <code>ref</code>_`,
 which is not expected.
 .
 This package provides documentation for the m2r module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

STEM = m2r
DESTDIR = debian/tmp
DOCDIR = debian/python-$(STEM)-doc/usr/share/doc/python-$(STEM)-doc/html

CMD = $(STEM)
_ENV = $(strip \
 PATH="$(DESTDIR)/usr/bin:$(PATH)" \
 PYTHONPATH="$(DESTDIR)/usr/lib/$(shell py3versions -d)/dist-packages")

# generate manpage with help2man from --help option of python script
_mkman = $(_ENV) \
 help2man $(if $3,--name "$(strip $3)") --no-info --version-string $(DEB_VERSION_UPSTREAM) --output $2 $1 \
 || { $(_ENV) $1 --help; false; }

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild --exclude=.nojekyll

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	sphinx-build -b html docs debian/doc/html
endif

override_dh_sphinxdoc:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc --exclude=MathJax.js
endif

# * generate manpage
execute_after_dh_auto_install:
	$(call _mkman, $(CMD), debian/$(CMD).1, \
		command-line tool to convert from markdown containing reStructuredText (rst) to reStructuredText)
#	find $(destdir)/usr/lib -name '*.pyc' -delete
#	find $(destdir)/usr/lib -type d -empty -delete

## python-m2r 0.3.1

=== debian/changelog ===
python-m2r (0.3.1-0.1) unstable; urgency=medium

  * Non-maintainer upload, with maintainer's permission.
  * New upstream release.
    - Compatible with docutils 0.19 (closes: #1026288).
  * Drop patches, no longer needed with the new release:
    - debian/patches/0001_fix_Python_3_10.patch
    - debian/patches/1001_modernize_sphinx.patch
  * Refresh 2001_privacy.patch and 2003_mistune0.patch.
  * Drop python3-mock build-dependency. This package uses unittest.mock.
  * Fix built-using-field-on-arch-all-package Lintian warning.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 10 Jan 2023 12:01:56 +0400

python-m2r (0.2.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream patch for test failure with Python 3.10 (Closes: #1009396)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 20 Apr 2022 00:03:38 +0200

python-m2r (0.2.1-7) unstable; urgency=medium

  * add patch 2003 to use custom-named Python module mistune0

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Feb 2022 15:17:37 +0100

python-m2r (0.2.1-6) unstable; urgency=medium

  * (build-)depend on python3-mistune0 (not python3-mistune);
    closes: bug#1002163, #1003571,
    thanks to Lucas Nussbaum and Pierre-Elliott Bécue

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Feb 2022 14:46:25 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
  help2man <!nodoc>,
  python3,
  python3-docutils,
- python3-mistune,
- python3-mock <!nocheck>,
+ python3-mistune0,
  python3-pygments <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
@@ -23,7 +22,7 @@
 Package: python3-m2r
 Architecture: all
 Depends:
- python3-mistune,
+ python3-mistune0,
  python3-docutils,
  ${misc:Depends},
  ${python3:Depends},
@@ -85,8 +84,6 @@
  libjs-mathjax,
  ${sphinxdoc:Depends},
  ${misc:Depends},
-Built-Using:
- ${sphinxdoc:Built-Using},
 Description: Markdown and reStructuredText in a single file - documentation
  M2R converts a markdown file including reStructuredText (rst) markups
  to a valid rst format.

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/miyakogi/m2r/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
